diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index c533442..bf12b51 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -53884,8 +53884,8 @@ LinearPolynomialEquationByFractions(R:PolynomialFactorizationExplicit): with
     r case "failed" => "failed"
     monomial(c,degree pF) + r
   solveLinearPolynomialEquationByFractions(lp,pp) ==
-    lpF:List SupF:=[map(#1@R::F,u) for u in lp]
-    pF:SupF:=map(#1@R::F,pp)
+    lpF:List SupF:=[map((x:R):F +-> x@R::F,u) for u in lp]
+    pF:SupF:=map((x:R):F +-> x::F,pp)
     ans:= solveLinearPolynomialEquation(lpF,pF)$F
     ans case "failed" => "failed"
     [(vv:= pullback v;
diff --git a/changelog b/changelog
index a38467c..da1177f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090606 tpd src/axiom-website/patches.html 20090606.03.tpd.patch
+20090606 tpd books/bookvol10.4 LPEFRAC +-> conversion
 20090606 tpd src/axiom-website/patches.html 20090606.02.tpd.patch
 20090606 tpd books/bookvol10.4 LODOOPS +-> conversion
 20090606 tpd src/axiom-website/patches.html 20090606.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9ce6b14..ef19e01 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1467,5 +1467,7 @@ bookvol10.4 LINDEP +-> conversion<br/>
 bookvol10.4 LODOF +-> conversion<br/>
 <a href="patches/20090606.02.tpd.patch">20090606.02.tpd.patch</a>
 bookvol10.4 LODOOPS +-> conversion<br/>
+<a href="patches/20090606.03.tpd.patch">20090606.03.tpd.patch</a>
+bookvol10.4 LPEFRAC +-> conversion<br/>
  </body>
 </html>
